@hosyn,
as fixo wrote, you have to try to write your codes, in the help files, under "Developer Help" (I don't know if it is correct, I don't have AutoCAD at the moment), have tuturials and functions explanations, and so on...
Do a google search for "autolisp tutorials"...
Meanwhile, here's one to get you started studying...
- (defun c:test (/ *error* old_frad ss r i) (defun *error* (msg) (if old_frad (setvar 'filletrad old_frad) ) (princ) ) ;; *error* (if (setq ss (ssget "_:L" '((0 . "LWPOLYLINE")))) (progn (setq old_frad (getvar 'filletrad)) (if (setq r (getreal (strcat "\nSpecify fillet radius : "))) (setvar 'filletrad r) );; if (setq i 0) (repeat (sslength ss) (command "_.fillet" "_p" (ssname ss i)) (setq i (1+ i)) );; repeat );; progn );; if (*error* nil) (princ));; test
hope that helps
Henrique |